<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="60c90f23-2ed8-4a77-9dd5-353804461cea" name="Changes" comment="Add Domain Class">
      <change afterPath="$PROJECT_DIR$/src/main/java/at/spengergasse/service/OrderService.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/test/java/at/spengergasse/service/OrderServiceTest.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/pom.xml" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
        <option value="JUnit5 Test Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="GitHubPullRequestSearchHistory">{
  &quot;lastFilter&quot;: {
    &quot;state&quot;: &quot;OPEN&quot;,
    &quot;assignee&quot;: &quot;griesmayer&quot;
  }
}</component>
  <component name="GithubPullRequestsUISettings">{
  &quot;selectedUrlAndAccountId&quot;: {
    &quot;url&quot;: &quot;https://github.com/griesmayer/griesypizza2&quot;,
    &quot;accountId&quot;: &quot;9a0c0501-158f-434d-8158-1e240441f362&quot;
  }
}</component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHomeTypeForPersistence" value="WRAPPER" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="ProjectColorInfo">{
  &quot;associatedIndex&quot;: 4,
  &quot;fromUser&quot;: false
}</component>
  <component name="ProjectId" id="3C5H6qYsrQOVR8nyl2MuOxhxdJ6" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "JUnit.OrderTest.testToString.executor": "Run",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "RunOnceActivity.TerminalTabsStorage.copyFrom.TerminalArrangementManager.252": "true",
    "RunOnceActivity.git.unshallow": "true",
    "RunOnceActivity.typescript.service.memoryLimit.init": "true",
    "Spring Boot.Application.executor": "Run",
    "codeWithMe.voiceChat.enabledByDefault": "false",
    "com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrary": "JUnit5",
    "com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrarySuperClass.JUnit5": "",
    "git-widget-placeholder": "main",
    "kotlin-language-version-configured": "true",
    "node.js.detected.package.eslint": "true",
    "node.js.detected.package.tslint": "true",
    "node.js.selected.package.eslint": "(autodetect)",
    "node.js.selected.package.tslint": "(autodetect)",
    "nodejs_package_manager_path": "npm",
    "vaadin.notify.Confirmation": "false",
    "vaadin.notify.HotSwap": "false"
  }
}]]></component>
  <component name="RecentsManager">
    <key name="CreateTestDialog.Recents.Supers">
      <recent name="" />
    </key>
    <key name="CreateTestDialog.RecentsKey">
      <recent name="at.spengergasse.service" />
      <recent name="at.spengergasse.domain" />
    </key>
  </component>
  <component name="RunManager" selected="JUnit.OrderServiceTest.testToString">
    <configuration default="true" type="AZURE_FUNCTION_SUPPORT" factoryName="Run Functions">
      <option name="appName" />
      <option name="appServicePlanName" />
      <option name="appServicePlanResourceGroup" />
      <option name="appSettingsKey" value="07455b0a-de80-443d-a1c2-fe93f03b908d" />
      <option name="artifact" />
      <option name="debugOptions" />
      <option name="deployment" />
      <option name="deploymentStagingDirectoryPath" />
      <option name="funcPath" />
      <option name="functionHostArguments" />
      <option name="hostJsonPath" />
      <option name="insightsName" />
      <option name="instrumentationKey" />
      <option name="javaVersion" />
      <option name="localSettingsJsonPath" />
      <option name="moduleName" />
      <option name="os" />
      <option name="pricingTier" />
      <option name="providerMap">
        <map />
      </option>
      <option name="region" />
      <option name="resourceGroup" />
      <option name="stagingFolder" />
      <option name="subscription" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="OrderServiceTest.testToString" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="griesypizza" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="at.spengergasse.service.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="at.spengergasse.service" />
      <option name="MAIN_CLASS_NAME" value="at.spengergasse.service.OrderServiceTest" />
      <option name="METHOD_NAME" value="testToString" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="OrderTest.testToString" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="griesypizza" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="at.spengergasse.domain.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="at.spengergasse.domain" />
      <option name="MAIN_CLASS_NAME" value="at.spengergasse.domain.OrderTest" />
      <option name="METHOD_NAME" value="testToString" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Application" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" temporary="true" nameIsGenerated="true">
      <option name="FRAME_DEACTIVATION_UPDATE_POLICY" value="UnknownPolicyInFreeMode" />
      <module name="griesypizza" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="at.spengergasse.Application" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="at.spengergasse.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.OrderServiceTest.testToString" />
        <item itemvalue="JUnit.OrderTest.testToString" />
        <item itemvalue="Spring Boot.Application" />
      </list>
    </recent_temporary>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="60c90f23-2ed8-4a77-9dd5-353804461cea" name="Changes" comment="" />
      <created>1775668339324</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1775668339324</updated>
    </task>
    <task id="LOCAL-00001" summary="First WebApplication">
      <option name="closed" value="true" />
      <created>1775669162645</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1775669162645</updated>
    </task>
    <task id="LOCAL-00002" summary="Add Home and Delivery content.">
      <option name="closed" value="true" />
      <created>1775670792983</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1775670792983</updated>
    </task>
    <task id="LOCAL-00003" summary="Add Layouts to home and delivery view">
      <option name="closed" value="true" />
      <created>1776101602211</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1776101602211</updated>
    </task>
    <task id="LOCAL-00004" summary="Add Layouts to home and delivery view">
      <option name="closed" value="true" />
      <created>1776272333162</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1776272333162</updated>
    </task>
    <task id="LOCAL-00005" summary="Add Domain Class">
      <option name="closed" value="true" />
      <created>1776273875325</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1776273875325</updated>
    </task>
    <option name="localTasksCounter" value="6" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="First WebApplication" />
    <MESSAGE value="Add Home and Delivery content." />
    <MESSAGE value="Add Layouts to home and delivery view" />
    <MESSAGE value="Add Domain Class" />
    <option name="LAST_COMMIT_MESSAGE" value="Add Domain Class" />
  </component>
</project>